package com.factory.wx.mapper;

import com.factory.wx.entity.req.PlanInfoReq;
import com.factory.wx.entity.req.PlanPageReq;
import com.factory.wx.entity.res.ReminderRes;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 9:12 下午
 */
@Mapper
public interface ReminderMapper {

    /**
     * 获提醒任务列表
     *
     * @param planPageReq
     * @return
     */
    List<ReminderRes> getReminderList(PlanPageReq planPageReq);

    /**
     * 确认计划已提醒
     *
     * @param planInfoReq
     */
    void confirmReminder(PlanInfoReq planInfoReq);
}
